Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph
Interface Hypervertex

All Superinterfaces:
  ArchetypeVertex, Cloneable, Element, UserDataContainer

All Known Implementing Classes:
  AbstractHypervertex, HypervertexBPG

public interface Hypervertex
extends ArchetypeVertex

An element of a Hypergraph that connects to zero or more Hyperedges. Note that two different Hypervertices are NOT equal, even if they are connected to the same set of edges.

Author:
  Danyel Fisher, Joshua O'Madadhain

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.utils.UserDataContainer
`UserDataContainer.CopyAction`

Method Summary
`boolean` | `connectEdge(Hyperedge he)` Connects `he` to this hypervertex and vice versa.
`boolean` | `disconnectEdge(Hyperedge he)` Disconnects `he` from this hypervertex and vice versa.

Methods inherited from interface edu.uci.ics.jung.graph.ArchetypeVertex
`copy, degree, findEdge, findEdgeSet, getEqualVertex, getEquivalentVertex, getIncidentEdges, getNeighbors, isIncident, isNeighborOf, numNeighbors`

Methods inherited from interface edu.uci.ics.jung.graph.Element
`getGraph, getIncidentElements`

Methods inherited from interface edu.uci.ics.jung.utils.UserDataContainer
`addUserDatum, clone, containsUserDatumKey, getUserDatum, getUserDatumCopyAction, getUserDatumKeyIterator, importUserData, removeUserDatum, setUserDatum`

Method Detail

### connectEdge

    public boolean connectEdge(Hyperedge he)

  Connects `he` to this hypervertex and vice versa. Does not affect `he`'s membership in the graph. Equivalent to calling `he.connectVertex(this)`.

### disconnectEdge

    public boolean disconnectEdge(Hyperedge he)

  Disconnects `he` from this hypervertex and vice versa. Does not affect `he`'s membership in the graph. Equivalent to calling `he.disconnectVertex(this)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD